<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ProjectACES: src/dijkstra.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ProjectACES
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">dijkstra.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>File which contains the implementation for methods in <a class="el" href="dijkstra_8hpp.html" title="File that contains the declaration of the struct Dijkstra_node and class Dijkstra.">dijkstra.hpp</a>.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="dijkstra_8hpp_source.html">../include/dijkstra.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="IO__dijkstra_8hpp_source.html">../include/IO_dijkstra.hpp</a>&quot;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;list&gt;</code><br />
<code>#include &lt;iterator&gt;</code><br />
<code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;map&gt;</code><br />
<code>#include &lt;cstdlib&gt;</code><br />
<code>#include &lt;ctime&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for dijkstra.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="dijkstra_8cpp__incl.png" border="0" usemap="#asrc_2dijkstra_8cpp" alt=""/></div>
<map name="asrc_2dijkstra_8cpp" id="asrc_2dijkstra_8cpp">
<area shape="rect" title="File which contains the implementation for methods in dijkstra.hpp." alt="" coords="414,5,535,32"/>
<area shape="rect" href="dijkstra_8hpp.html" title="File that contains the declaration of the struct Dijkstra_node and class Dijkstra." alt="" coords="5,155,168,181"/>
<area shape="rect" href="IO__dijkstra_8hpp.html" title="File that contains the methods used to get inputs from user (files, manual inputs,..." alt="" coords="61,80,243,107"/>
<area shape="rect" title=" " alt="" coords="268,80,348,107"/>
<area shape="rect" title=" " alt="" coords="372,80,415,107"/>
<area shape="rect" title=" " alt="" coords="439,80,510,107"/>
<area shape="rect" title=" " alt="" coords="535,80,620,107"/>
<area shape="rect" title=" " alt="" coords="644,80,695,107"/>
<area shape="rect" title=" " alt="" coords="719,80,785,107"/>
<area shape="rect" title=" " alt="" coords="809,80,868,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a548cc8f638634e2b33f6121422f48e3d"><td class="memItemLeft" align="right" valign="top">int **&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dijkstra_8cpp.html#a548cc8f638634e2b33f6121422f48e3d">alloc_mem_matrix</a> (int size)</td></tr>
<tr class="memdesc:a548cc8f638634e2b33f6121422f48e3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for allocating variables to memory.  <a href="dijkstra_8cpp.html#a548cc8f638634e2b33f6121422f48e3d">More...</a><br /></td></tr>
<tr class="separator:a548cc8f638634e2b33f6121422f48e3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7a3565b6f1bd2d9160f36f88e84a572"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dijkstra_8cpp.html#aa7a3565b6f1bd2d9160f36f88e84a572">are_valid_nodes</a> (int start_row, int start_col, int target_row, int target_col, int max)</td></tr>
<tr class="memdesc:aa7a3565b6f1bd2d9160f36f88e84a572"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sanity check function.  <a href="dijkstra_8cpp.html#aa7a3565b6f1bd2d9160f36f88e84a572">More...</a><br /></td></tr>
<tr class="separator:aa7a3565b6f1bd2d9160f36f88e84a572"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>File which contains the implementation for methods in <a class="el" href="dijkstra_8hpp.html" title="File that contains the declaration of the struct Dijkstra_node and class Dijkstra.">dijkstra.hpp</a>. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a548cc8f638634e2b33f6121422f48e3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a548cc8f638634e2b33f6121422f48e3d">&#9670;&nbsp;</a></span>alloc_mem_matrix()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int** alloc_mem_matrix </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>nr_nodes</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function for allocating variables to memory. </p>
<p>Similar to malloc.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nr_nodes</td><td>The size that the variables will occupy in the memory. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classDijkstra.html#a4c6686b282d5cf37a96c8c216dc84bef" title="The maze.">Dijkstra::maze</a> </dd>
<dd>
<a class="el" href="classDijkstra.html#a7994b590ca8f02bf1577adec2d5ac1c5" title="The visited nodes.">Dijkstra::visited</a> </dd>
<dd>
alloc_mem() </dd></dl>

</div>
</div>
<a id="aa7a3565b6f1bd2d9160f36f88e84a572"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7a3565b6f1bd2d9160f36f88e84a572">&#9670;&nbsp;</a></span>are_valid_nodes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int are_valid_nodes </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>start_row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>start_col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>target_row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>target_col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>max</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sanity check function. </p>
<p>It is used to check if the starting node and target node are valid (they are in the boundries of the maze matrix.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classDijkstra.html#a324563e8b4f66022c85870e71064e38e" title="Starting node in the maze.">Dijkstra::starting_node</a> </dd>
<dd>
<a class="el" href="classDijkstra.html#a6cd0a788a66dc3c191d38050337687de" title="Target node in the maze.">Dijkstra::target_node</a> </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
